Module: check_mk
Branch: master
Commit: 94b3b122d6bfc5150cce41c80691b985c7a74274
URL:
http://git.mathias-kettner.de/git/?p=check_mk.git;a=commit;h=94b3b122d6bfc5…
Author: Lars Michelsen <lm(a)mathias-kettner.de>
Date: Mon May 6 10:29:13 2013 +0200
oracle_asm_diskgroups: Added missing agent plugin + asmcmd wrapper script
---
ChangeLog | 1 +
agents/asmcmd.sh | 26 ++++++++++++++++++++++++++
agents/plugins/mk_oracle_asm | 38 ++++++++++++++++++++++++++++++++++++++
3 files changed, 65 insertions(+)
diff --git a/ChangeLog b/ChangeLog
index 5232a64..26c5507 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -52,6 +52,7 @@
* openvpn_clients: new check for OpenVPN connections
* if64_tplink: special new check for TP Link switches with broken SNMP output
* job: Monitoring states and performance indicators of any jobs on linux systems
+ * oracle_asm_diskgroups: Added missing agent plugin + asmcmd wrapper script
* cisco_qos: adhere qos-bandwidth policies
* check_disk_smb: WATO formalization for active check check_disk_smb
* if.include: new configurable parameters for assumed input and output speed
diff --git a/agents/asmcmd.sh b/agents/asmcmd.sh
new file mode 100755
index 0000000..19d3c07
--- /dev/null
+++ b/agents/asmcmd.sh
@@ -0,0 +1,26 @@
+#!/bin/sh
+# +------------------------------------------------------------------+
+# | ____ _ _ __ __ _ __ |
+# | / ___| |__ ___ ___| | __ | \/ | |/ / |
+# | | | | '_ \ / _ \/ __| |/ / | |\/| | ' / |
+# | | |___| | | | __/ (__| < | | | | . \ |
+# | \____|_| |_|\___|\___|_|\_\___|_| |_|_|\_\ |
+# | |
+# | Copyright Mathias Kettner 2013 mk(a)mathias-kettner.de |
+# +------------------------------------------------------------------+
+#
+# This file is part of Check_MK.
+# The official homepage is at
http://mathias-kettner.de/check_mk.
+#
+# check_mk is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by
+# the Free Software Foundation in version 2. check_mk is distributed
+# in the hope that it will be useful, but WITHOUT ANY WARRANTY; with-
+# out even the implied warranty of MERCHANTABILITY or FITNESS FOR A
+# PARTICULAR PURPOSE. See the GNU General Public License for more de-
+# ails. You should have received a copy of the GNU General Public
+# License along with GNU Make; see the file COPYING. If not, write
+# to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor,
+# Boston, MA 02110-1301 USA.
+
+su - griduser -c "asmcmd $@"
diff --git a/agents/plugins/mk_oracle_asm b/agents/plugins/mk_oracle_asm
new file mode 100755
index 0000000..1b02bd5
--- /dev/null
+++ b/agents/plugins/mk_oracle_asm
@@ -0,0 +1,38 @@
+#!/bin/bash
+# +------------------------------------------------------------------+
+# | ____ _ _ __ __ _ __ |
+# | / ___| |__ ___ ___| | __ | \/ | |/ / |
+# | | | | '_ \ / _ \/ __| |/ / | |\/| | ' / |
+# | | |___| | | | __/ (__| < | | | | . \ |
+# | \____|_| |_|\___|\___|_|\_\___|_| |_|_|\_\ |
+# | |
+# | Copyright Mathias Kettner 2010 mk(a)mathias-kettner.de |
+# +------------------------------------------------------------------+
+#
+# This file is part of Check_MK.
+# The official homepage is at
http://mathias-kettner.de/check_mk.
+#
+# check_mk is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by
+# the Free Software Foundation in version 2. check_mk is distributed
+# in the hope that it will be useful, but WITHOUT ANY WARRANTY; with-
+# out even the implied warranty of MERCHANTABILITY or FITNESS FOR A
+# PARTICULAR PURPOSE. See the GNU General Public License for more de-
+# ails. You should have received a copy of the GNU General Public
+# License along with GNU Make; see the file COPYING. If not, write
+# to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor,
+# Boston, MA 02110-1301 USA.
+
+# Check_MK agent plugin for monitoring ORACLE ASM
+
+if [ ! -e $MK_CONFDIR/asmcmd.sh ]; then
+ echo "$MK_CONFDIR/asmcmd.sh does not exist." >&2
+ exit 1
+fi
+
+function asmcmd () {
+ $MK_CONFDIR/asmcmd.sh $@
+}
+
+echo "<<<oracle_asm_diskgroup>>>"
+asmcmd lsdg | grep -v State | grep -v "The Oracle"